"{ Package: 'stx:libjava' }"

JavaMethodRef2 subclass:#JavaInterfaceMethodRef2
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Languages-Java-Reader-Support-new'
!


!JavaInterfaceMethodRef2 methodsFor:'private - resolving'!

findResolvedStaticValue
    self halt: 'tell mh if you have valid use case for calling me'.

    "Created: / 28-04-2011 / 22:53:16 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
    "Modified: / 18-05-2011 / 12:44:49 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
!

findResolvedValue
    "Resolve reference and set valueCache."
    
    valueCache := JavaResolver uniqueInstance 
                resolveInterfaceMethodIdentifiedByRef: self.
classCache := (constantPool at: classRefIndex) resolve.
    classCache ifNil: [ self breakPoint: #mh ].
    nameAndTypeCache := (constantPool at: nameAndTypeIndex) resolve.
    nameAndTypeCache ifNil: [ self breakPoint: #mh ].

    "Modified: / 18-05-2011 / 12:44:44 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
! !

!JavaInterfaceMethodRef2 methodsFor:'queries'!

isJavaInterfaceMethodRef
    "we will see if this is expected behavior"
    
    ^ true.

    "Created: / 14-04-2011 / 15:33:46 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
! !

!JavaInterfaceMethodRef2 class methodsFor:'documentation'!

version_SVN
    ^ '$Id$'
! !
