"{ Package: 'stx:libjava' }"

Object subclass:#JavaTestsLoader
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Languages-Java-Tests'
!


!JavaTestsLoader class methodsFor:'loading'!

load

    JavaTestsResource buildProject.
    self loadIn: JavaTestsResource testsClasspath

    "Created: / 07-05-2011 / 18:43:41 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

load: testdir

    | base dirs |
    base := (UserPreferences current 
                javaTestsDirectory asFilename  / testdir) pathName.
    dirs := JavaTestsResource testsClasspath select:
                [:each|each startsWith: base].

    self loadIn: dirs.

    "
        JavaTestsLoader load: 'libjava'
    "

    "Created: / 07-05-2011 / 18:40:42 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!JavaTestsLoader class methodsFor:'private'!

loadIn: directories

    JavaLibrariesResource new setUp.
    JavaTestsResource new setUp.

    directories do:
            [:each|
            each asFilename exists ifTrue:
                [JavaClassReader loadClassesIn: each]]

    "Created: / 07-05-2011 / 18:42:17 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!JavaTestsLoader class methodsFor:'documentation'!

version_SVN
    ^ '$Id$'
! !
